// =====================================================================
//  $Id: TRunSuspendCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TRunSuspendCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:32  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TRunSuspendCommand.hh"
#include "TRunManager.hh"

static const Tstring _name = "/run/suspend";
static const Tstring _desc = "suspend a run.\nif you want to restart event loop, execute resume command.";

TRunSuspendCommand::TRunSuspendCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TRunSuspendCommand::~TRunSuspendCommand()
{;}

Tvoid TRunSuspendCommand::Execute( const TstringList& arguments )
{
  theRunManager -> SuspendRun();
  return;
}
